/**
 * 
 */
package net.sf.doolin.util;

/**
 * This class performs a conversion by extracting a property from the source?
 * 
 * @author Damien Coraboeuf
 * 
 * @param <S>
 *            Type for the source
 * @param <T>
 *            Expected type for the target
 * @see Utils#getProperty(Object, String)
 * @deprecated Use {@link PropertyFunction} instead
 */
@Deprecated
public class PropertyItemConverter<S, T> implements ItemConverter<S, T> {
	private final String propertyName;

	/**
	 * Constructor.
	 * 
	 * @param propertyName
	 *            Name of the property to take from the source.
	 */
	public PropertyItemConverter(String propertyName) {
		this.propertyName = propertyName;
	}

	@Override
	public T convert(S source) {
		@SuppressWarnings("unchecked")
		T k = (T) Utils.getProperty(source, this.propertyName);
		return k;
	}
}